librevenge::RVNGTwipProperty Class Reference documentation

Public Member Functions | List of all members
librevenge::RVNGTwipProperty Class Reference
Inheritance diagram for librevenge::RVNGTwipProperty:

## Public Member Functions
| RVNGTwipProperty (const double val)
| ~RVNGTwipProperty ()
virtual RVNGUnit | getUnit () const
| returns the property unit when possible. More...
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGDoubleProperty
| RVNGDoubleProperty (const double val)
| ~RVNGDoubleProperty ()
virtual int | getInt () const
virtual double | getDouble () const
virtual RVNGUnit | getUnit () const
| returns the property unit when possible. More...
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()
virtual int | getInt () const =0
virtual double | getDouble () const =0
virtual RVNGUnit | getUnit () const =0
| returns the property unit when possible. More...
virtual RVNGString | getStr () const =0
virtual RVNGProperty * | clone () const =0

## Constructor & Destructor Documentation

## ◆ RVNGTwipProperty()

librevenge::RVNGTwipProperty::RVNGTwipProperty | ( | const double | val | ) |

Referenced by clone().

## ◆ ~RVNGTwipProperty()

librevenge::RVNGTwipProperty::~RVNGTwipProperty | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

RVNGProperty * librevenge::RVNGTwipProperty::clone | ( |  | ) | const
| virtual

Reimplemented from librevenge::RVNGDoubleProperty.

## ◆ getStr()

RVNGString librevenge::RVNGTwipProperty::getStr | ( |  | ) | const
| virtual

Reimplemented from librevenge::RVNGDoubleProperty.

## ◆ getUnit()

virtual RVNGUnit librevenge::RVNGTwipProperty::getUnit | ( |  | ) | const
| inlinevirtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Reimplemented from librevenge::RVNGDoubleProperty.

The documentation for this class was generated from the following file:

- RVNGProperty.cpp